%define module_name Dredd-Hooks
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Getopt/Long.pm) perl(Hash/Merge.pm) perl(IO/All.pm) perl(JSON.pm) perl(Module/Build/Tiny.pm) perl(Moo.pm) perl(Sub/Exporter.pm) perl(Test/More.pm) perl(Try/Tiny.pm) perl(Types/Standard.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.07
Release: alt1
Summary: Handler for running Hook files for Dredd
Group: Development/Perl
License: perl
URL: https://github.com/ungrim97/dredd-hooks

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MR/MRF/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Dredd::Hooks provides the code to actually run the hooks used in the
Dredd API testing suite.

Unless you are righting your own TCP server to accept Dredd Hook requests
then you likely want the Dredd::Hooks::Methods manpage which describes how to write
Dredd Hook files.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README.md
%perl_vendor_privlib/D*

%files scripts
%_bindir/*

%changelog
* Wed Aug 02 2017 Igor Vlasenko <viy@altlinux.ru> 0.07-alt1
- regenerated from template by package builder

* Thu May 26 2016 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- regenerated from template by package builder

* Tue May 03 2016 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- regenerated from template by package builder

* Tue Mar 22 2016 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- initial import by package builder

